#pragma once
#include <SFML/Graphics.hpp>

class Ball
{
public:
	Ball();
	~Ball();

	void draw(sf::RenderWindow & theWindow);
	void update();
	void setPosition(float x, float y);
	float getYPosition();
	sf::FloatRect getBounds();

	void bounce();

private:
	bool _isFalling;
	sf::Texture _texture;
	sf::Sprite _sprite;
};

